# File monitor

An action block that awaits alterations to the file system.

The fiber will pause until the an alteration has occurred.

To monitor for new files in a directly, don’t rely on the File created event since it may triggered before the file has been fully written, use the Writable file closed event instead. The File move to should probably also be used to handle the common case where a file is first written to a temporary file elsewhere then atomically moved into the directory.

Note! This block may not work for “secondary” external storage (removable SD cards) on Android 4.4—11.

## Input arguments

- Path — path to watch for alteration.
- Events — events to await.

## Output variables

- Alteration path — variable to assign the altered path.
- Alteration event — variable to assign the event that occurred.